
var DK_Skill_And_Equip_Last_Actor;
var DK_Skill_And_Equip_Actor;

var Skill_And_Equip_Window_SkillType_makeCommandList = Window_SkillType.prototype.makeCommandList;
Window_SkillType.prototype.makeCommandList = function() {
	Skill_And_Equip_Window_SkillType_makeCommandList.call(this);
	this.addCommand('Equip', 'equip');
};

var Skill_And_Equip_Scene_Skill_createSkillTypeWindow = Scene_Skill.prototype.createSkillTypeWindow;
Scene_Skill.prototype.createSkillTypeWindow = function() {
	Skill_And_Equip_Scene_Skill_createSkillTypeWindow.call(this);
	this._skillTypeWindow.setHandler('equip', this.handlerCommandEquip.bind(this));
};

Scene_Skill.prototype.handlerCommandEquip = function() {
	var actor = DK_Skill_And_Equip_Actor || this.actor();
	$gameParty._menuActorId = actor.actorId();
	SceneManager.push(Scene_Equip);
};